Skip to content

Update notification rules in bulk

POST
/notifications/rules/bulk-update
curl --request POST \
--url https://sylve.lan:8181/api/notifications/rules/bulk-update \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "discordEnabled": true, "emailEnabled": true, "ids": [ 1 ], "ntfyEnabled": true, "pushoverEnabled": true, "uiEnabled": true }'

Apply selected channel toggles to an exact set of notification rules atomically

Notification rule IDs and channel toggles

Media typeapplication/json
object
discordEnabled
boolean
emailEnabled
boolean
ids
required
Array<integer>
ntfyEnabled
boolean
pushoverEnabled
boolean
uiEnabled
boolean
Examplegenerated
{
"discordEnabled": true,
"emailEnabled": true,
"ids": [
1
],
"ntfyEnabled": true,
"pushoverEnabled": true,
"uiEnabled": true
}

Success

Media typeapplication/json
object
data
object
rules
Array<object>
object
active
boolean
config
string
discordEnabled
boolean
emailEnabled
boolean
id
integer
kind
string
ntfyEnabled
boolean
pushoverEnabled
boolean
targetKey
string
targetLabel
string
templateKey
string
templateLabel
string
uiEnabled
boolean
templates
Array<object>
object
defaultConfig
string
description
string
key
string
label
string
targetType
string
targets
Array<object>
object
key
string
label
string
error
string
message
string
status
string
Examplegenerated
{
"data": {
"rules": [
{
"active": true,
"config": "example",
"discordEnabled": true,
"emailEnabled": true,
"id": 1,
"kind": "example",
"ntfyEnabled": true,
"pushoverEnabled": true,
"targetKey": "example",
"targetLabel": "example",
"templateKey": "example",
"templateLabel": "example",
"uiEnabled": true
}
],
"templates": [
{
"defaultConfig": "example",
"description": "example",
"key": "example",
"label": "example",
"targetType": "example",
"targets": [
{
"key": "example",
"label": "example"
}
]
}
]
},
"error": "example",
"message": "example",
"status": "example"
}

Bad Request

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Unauthorized

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Forbidden

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Not Found

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Request Entity Too Large

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}